﻿############ PRIVATE INFRASTRUCTURE

building_railway = {
	building_group = bg_private_infrastructure	
	icon = "gfx/interface/icons/building_icons/building_railway.dds"
	
	ai_nationalization_desire = 0.5 # AI is reluctant to privatize railways since they are likely to need subsidies anyway
	
	unlocking_technologies = {
		railways
	}

	production_method_groups = {
		pmg_base_building_railway
		pmg_passenger_trains
	}

	required_construction = construction_cost_very_high
	
	ai_value = {
		value = 2000 # Railways are important

		# if = { # Trans-Siberian Railway
		# 	limit = {
		# 		owner = {
		# 			has_journal_entry = je_trans_siberian_railway
		# 		}
		# 		OR = {
		# 			state_region = s:STATE_MOSCOW
		# 			state_region = s:STATE_YAROSLAVL
		# 			state_region = s:STATE_NIZHNY_NOVGOROD
		# 			state_region = s:STATE_CHUVASHIA
		# 			state_region = s:STATE_KAZAN
		# 			state_region = s:STATE_UFA
		# 			state_region = s:STATE_CHELYABINSK
		# 			state_region = s:STATE_URAL
		# 			state_region = s:STATE_TOBOLSK
		# 			state_region = s:STATE_TOMSK
		# 			state_region = s:STATE_KRASNOYARSK
		# 			state_region = s:STATE_IRKUTSK
		# 			state_region = s:STATE_BURYATIA
		# 			state_region = s:STATE_TRANS_BAIKAL
		# 			state_region = s:STATE_YAKUTSK
		# 			state_region = s:STATE_OKHOTSK
		# 			state_region = s:STATE_AMUR
		# 			state_region = s:STATE_OUTER_MANCHURIA
		# 		}
		# 		NOR = {
		# 			has_building = building_railway
		# 			any_scope_building = {
		# 				is_building_type = building_railway
		# 				is_under_construction = yes
		# 			}
		# 		}
		# 	}
		# 	add = 10000
		# }
		# else_if = { # Shinkansen, my beloved
		# 	limit = {
		# 		owner = {
		# 			has_journal_entry = je_meiji_economy
		# 		}
		# 		is_incorporated = yes # Japan proper
		# 		NOR = {
		# 			has_building = building_railway
		# 			any_scope_building = {
		# 				is_building_type = building_railway
		# 				is_under_construction = yes
		# 			}
		# 		}
		# 	}
		# 	add = 10000
		# }
		# else_if = { # Trans-Continental Railways
		# 	limit = {
		# 		owner = {
		# 			has_journal_entry = je_trans_continental_railway
		# 		}
		# 		OR = {
		# 			state_region = s:STATE_NEBRASKA
		# 			state_region = s:STATE_WYOMING
		# 			state_region = s:STATE_UTAH
		# 			state_region = s:STATE_NEVADA
		# 			state_region = s:STATE_CALIFORNIA
		# 		}
		# 		NOR = {
		# 			has_building = building_railway
		# 			any_scope_building = {
		# 				is_building_type = building_railway
		# 				is_under_construction = yes
		# 			}
		# 		}
		# 	}
		# 	add = 10000
		# }
		#else_if = { # Canadian Pacific Highway
		#	limit = {
		#		owner = {
		#			has_journal_entry = je_canada_pacific_railway
		#		}
		#		OR = {
		#			state_region = s:STATE_QUEBEC
		#			state_region = s:STATE_BRITISH_COLUMBIA
		#			state_region = s:STATE_ONTARIO
		#			state_region = s:STATE_ALBERTA
		#			state_region = s:STATE_SASKATCHEWAN
		#			state_region = s:STATE_MANITOBA
		#		}
		#		NOR = {
		#			has_building = building_railway
		#			any_scope_building = {
		#				is_building_type = building_railway
		#				is_under_construction = yes
		#			}
		#		}
		#	}
		#	add = 10000
		#}
	}

	#Anbennar
	potential = {
		NOT = { has_state_trait = state_trait_dwarovrod has_state_trait = state_trait_dwarven_hold }
	}
	possible = {
		NOT = { has_state_trait = state_trait_dwarovrod has_state_trait = state_trait_dwarven_hold }
	}
	
	should_auto_expand = { 
		occupancy >= 0.8
		OR = {
			cash_reserves_ratio > 0.5
			is_subsidized = yes
		}
		OR = {
			state = {
				sg:transportation = { 
					state_goods_pricier > 0.5 
				}
			}
			state.market_access < 1
		}
		NOT = { is_under_construction = yes }

	}
	ownership_type = self

	background = "gfx/interface/icons/building_icons/backgrounds/building_panel_bg_railways.dds"
}

building_trade_center = {
	building_group = bg_trade
	city_type = city
	levels_per_mesh = 10

	lens = infrastructure

	icon = "gfx/interface/icons/building_icons/building_trade_center.dds"

	production_method_groups = {
		pmg_base_building_trade_center
		pmg_ownership_building_trade_center
	}

	buildable = no
	expandable = no
	downsizeable = no
	ownership_type = self
	can_switch_owner = no

	background = "gfx/interface/icons/building_icons/backgrounds/building_panel_bg_monuments.dds"
}

building_manor_house = {
	building_group = bg_manor_houses
	city_type = farm
	levels_per_mesh = 10

	lens = infrastructure

	icon = "gfx/interface/icons/building_icons/building_manor_houses.dds"

	production_method_groups = {
		pmg_ownership_building_manor_house
		pmg_additional_ownership_building_manor_house
	}

	investment_scores = {
		bg_magical_reagents_workshop_score = { # Anbennar
			group = "bg_magical_reagents_workshop"
			score = {
				value = 0
				if = { # Anbennar
					limit = {
						has_law = law_type:law_nation_of_green_artifice
					}
					add = 0.5
				}
				if = { # Anbennar
					limit = {
						has_law = law_type:law_magocracy
					}
					multiply = 2
				}
			}
		}
		bg_doodad_manufacturies_score = { # Anbennar
			group = "bg_doodad_manufacturies"
			score = {
				value = 0
				if = { # Anbennar
					limit = {
						has_law = law_type:law_nation_of_green_artifice
					}
					add = 0.5
				}
				if = { # Anbennar
					limit = {
						has_law = law_type:law_magocracy
					}
					multiply = 2
				}
			}
		}
		bg_manufacturing_score = {
			group = "bg_manufacturing"
			score = {
				value = 0.0
			}
		}			
		bg_agriculture_score = {
			group = "bg_agriculture"
			score = {
				value = 1
				
				if = {
					limit = {
						OR = {
							has_law = law_type:law_agrarianism
							has_law = law_type:law_industry_banned
							has_law = law_type:law_extraction_economy
						}						
					}
					multiply = 2.0
				}											
			}
		}
		bg_ranching_score = {
			group = "bg_ranching"
			score = {
				value = 1
				
				if = {
					limit = {
						OR = {
							has_law = law_type:law_agrarianism
							has_law = law_type:law_industry_banned
							has_law = law_type:law_extraction_economy
						}						
					}
					multiply = 2.0
				}					
			}
		}
		bg_plantations_score = {
			group = "bg_plantations"
			score = {
				value = 1
				
				if = {
					limit = {
						OR = {
							has_law = law_type:law_agrarianism
							has_law = law_type:law_industry_banned
							has_law = law_type:law_extraction_economy
						}						
					}
					multiply = 2.0
				}					
			}
		}		
		bg_arts_score = {
			group = "bg_arts"
			score = {
				value = 0.5
			}
		}
		bg_magical_mining_score = { # Anbennar
			group = "bg_magical_mining"
			score = {
				value = 0.25
				if = {
					limit = { 
						OR = {
							has_law = law_type:law_artifice_banned
							has_law = law_type:law_nation_of_green_artifice
						}
					}
					multiply = 4
				}
				else_if = {
					limit = { has_law = law_type:nation_of_magic }
					multiply = 2
				}
				else_if = {
					limit = { has_law = law_type:law_traditional_magic_banned }
					multiply = 0
				}
			}
		}	
		bg_mining_score = {
			group = "bg_mining"
			score = {
				value = 0.1
				
				#Anbennar specific
				if = {
					limit = {
						ig:ig_landowners = {
							has_ideology = ideology:ideology_nasavanite_economics
						}
					}
					add = 0.75
				}
			}
		}
		bg_logging_score = {
			group = "bg_logging"
			score = {
				value = 0.25
			}
		}
		bg_rubber_score = {
			group = "bg_rubber"
			score = {
				value = 0.25
			}
		}
		bg_whaling_score = { # Anbennar (adjusted)
			group = "bg_whaling"
			score = {
				value = 0.25
				if = { # Anbennar
					limit = {
						OR = {
							has_law = law_type:law_artifice_banned
							has_law = law_type:law_nation_of_green_artifice
						}
					}
					multiply = 3
				}
				else_if = { # Anbennar
					limit = {
						has_law = law_type:law_nation_of_magic
					}
					multiply = 2
				}
			}
		}
		bg_fishing_score = {
			group = "bg_fishing"
			score = {
				value = 0.25
			}
		}
		bg_power_score = {
			group = "bg_power"
			score = {
				value = 0.05
			}
		}
		bg_arcane_infrastructure_score = { # Anbennar
			group = "bg_arcane_infrastructure"
			score = {
				value = 0.5
				if = { # Anbennar
					limit = {
						has_law = law_type:law_artifice_banned
					}
					multiply = 3
				}
				else_if = { # Anbennar
					limit = {
						OR = {
							has_law = law_type:law_nation_of_magic
							has_law = law_type:law_nation_of_green_artifice
						}
					}
					multiply = 2
				}
				else_if = { # Anbennar
					limit = {
						has_law = law_type:law_traditional_magic_banned
					}
					multiply = 0
				}
			}
		}
		bg_infrastructure_score = {
			group = "bg_infrastructure"
			score = {
				value = 0.05				
			}
		}	
		bg_magical_resources_score = { # Anbennar
			group = "bg_magical_resources"
			score = {
				value = 0.5
				if = {
					limit = { has_law = law_type:law_artifice_banned }
					multiply = 4
				}
				else_if = {
					limit = { 
						OR = {
							has_law = law_type:law_nation_of_magic
							has_law = law_type:law_nation_of_green_artifice
						}
					}
					multiply = 2
				}
				else_if = {
					limit = { has_law = law_type:law_traditional_magic_banned }
					multiply = 0
				}
			}
		}	
	}

	buildable = no
	expandable = no
	downsizeable = no
	ownership_type = other

	background = "gfx/interface/icons/building_icons/backgrounds/building_panel_bg_monuments.dds"
}

building_financial_district = {
	building_group = bg_financial_districts
	city_type = city
	levels_per_mesh = 10

	lens = infrastructure

	icon = "gfx/interface/icons/building_icons/building_financial_district.dds"

	production_method_groups = {
		pmg_ownership_building_financial_district
	}
	
	investment_scores = {
		bg_manufacturing_score = {
			group = "bg_manufacturing"
			score = {
				value = 1
				
				if = {
					limit = {
						has_law = law_type:law_traditionalism
					}
					multiply = 0.1
				}				
				else_if = {
					limit = {
						OR = {
							has_law = law_type:law_industry_banned
							has_law = law_type:law_extraction_economy
						}
					}
					multiply = 0.5
				}	
				else_if = {
					limit = {
						has_law = law_type:law_agrarianism
					}
					multiply = 0.75
				}				
			}
		}
		bg_agriculture_score = {
			group = "bg_agriculture"
			score = {
				value = 0.5
				
				if = {
					limit = {
						has_law = law_type:law_commercialized_agriculture
					}
					add = 0.5
				}
			}
		}
		bg_ranching_score = {
			group = "bg_ranching"
			score = {
				value = 0.5
				
				if = {
					limit = {
						has_law = law_type:law_traditionalism
					}
					multiply = 0.5
				}				
				
				if = {
					limit = {
						has_law = law_type:law_commercialized_agriculture
					}
					add = 0.5
				}
			}
		}
		bg_plantations_score = {
			group = "bg_plantations"
			score = {
				value = 0.75
				
				if = {
					limit = {
						has_law = law_type:law_traditionalism
					}
					multiply = 0.5
				}				
				
				if = {
					limit = {
						has_law = law_type:law_commercialized_agriculture
					}
					add = 0.25
				}
			}
		}
		bg_arts_score = {
			group = "bg_arts"
			score = {
				value = 0.5
				
				if = {
					limit = {
						has_law = law_type:law_traditionalism
					}
					multiply = 0.5
				}				
			}
		}
		bg_mining_score = {
			group = "bg_mining"
			score = {
				value = 1
				
				if = {
					limit = {
						has_law = law_type:law_traditionalism
					}
					multiply = 0.25
				}
				else_if = {
					limit = {
						has_law = law_type:law_industry_banned
					}
					multiply = 0.5
				}	
				else_if = {
					limit = {
						has_law = law_type:law_agrarianism
					}
					multiply = 0.75
				}					
			}
		}
		bg_logging_score = {
			group = "bg_logging"
			score = {
				value = 1
				
				if = {
					limit = {
						has_law = law_type:law_traditionalism
					}
					multiply = 0.5
				}			
			}
		}
		bg_rubber_score = {
			group = "bg_rubber"
			score = {
				value = 1
				
				if = {
					limit = {
						has_law = law_type:law_traditionalism
					}
					multiply = 0.5
				}				
			}
		}
		bg_whaling_score = {
			group = "bg_whaling"
			score = {
				value = 1
				
				if = {
					limit = {
						has_law = law_type:law_traditionalism
					}
					multiply = 0.5
				}					
			}
		}
		bg_fishing_score = {
			group = "bg_fishing"
			score = {
				value = 1
				
				if = {
					limit = {
						has_law = law_type:law_traditionalism
					}
					multiply = 0.5
				}				
			}
		}
		bg_oil_extraction_score = {
			group = "bg_oil_extraction"
			score = {
				value = 1
				
				if = {
					limit = {
						has_law = law_type:law_traditionalism
					}
					multiply = 0.1
				}
				else_if = {
					limit = {
						has_law = law_type:law_industry_banned
					}
					multiply = 0.5
				}	
				else_if = {
					limit = {
						has_law = law_type:law_agrarianism
					}
					multiply = 0.75
				}				
			}
		}
		bg_power_score = {
			group = "bg_power"
			score = {
				value = 1
				
				if = {
					limit = {
						has_law = law_type:law_traditionalism
					}
					multiply = 0.1
				}	
				else_if = {
					limit = {
						OR = {
							has_law = law_type:law_industry_banned
							has_law = law_type:law_extraction_economy
						}
					}
					multiply = 0.5
				}	
				else_if = {
					limit = {
						has_law = law_type:law_agrarianism
					}
					multiply = 0.75
				}					
			}
		}
		bg_arcane_infrastructure_score = { # Anbennar
			group = "bg_arcane_infrastructure"
			score = {
				value = -10.0
			}
		}
		bg_infrastructure_score = {
			group = "bg_infrastructure"
			score = {
				value = 1
				if = {
					limit = {
						has_law = law_type:law_traditionalism
					}
					multiply = 0.1
				}
				else_if = {
					limit = {
						has_law = law_type:law_industry_banned
					}
					multiply = 0.5
				}	
				else_if = {
					limit = {
						has_law = law_type:law_agrarianism
					}
					multiply = 0.75
				}				
			}
		}
		bg_magical_resources_score = { # Anbennar
			group = "bg_magical_resources"
			score = {
				value = 0.75
				if = {
					limit = { has_law = law_type:law_artifice_banned }
					multiply = 0
				}
				else_if = {
					limit = { has_law = law_type:nation_of_magic }
					multiply = 0.5
				}
				else = {
					multiply = 2
				}
				if = {
					limit = {
						has_law = law_type:law_traditionalism
					}
					multiply = 0.1
				}
				else_if = {
					limit = {
						has_law = law_type:law_industry_banned
					}
					multiply = 0.5
				}	
				else_if = {
					limit = {
						has_law = law_type:law_agrarianism
					}
					multiply = 0.75
				}	
			}
		}
	}

	buildable = no
	expandable = no
	downsizeable = no
	ownership_type = other

	background = "gfx/interface/icons/building_icons/backgrounds/building_panel_bg_monuments.dds"
}

building_company_headquarter = {
	building_group = bg_company_headquarter
	city_type = city
	levels_per_mesh = 10

	lens = infrastructure

	icon = "gfx/interface/icons/building_icons/building_company_hq.dds"

	production_method_groups = {
		pmg_ownership_building_company_headquarter
	}
	
	investment_scores = {}

	buildable = no
	expandable = no
	downsizeable = no
	ownership_type = other
	company_headquarter = yes

	background = "gfx/interface/icons/building_icons/backgrounds/building_panel_bg_monuments.dds"
}
